mia-2dseries2dordermedian
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dseries2dordermedian

#### Sysnopis:

`mia-2dseries2dordermedian` {-i `string`} {-o `io`} [ `options` ...] [ `Plugin type: 2dimage/filter` ...]

#### Description:

This program evaluates the pixel-wise median of the absolute values of the gauss filtered 2nd order temporal derivative of a series of images. In addition, it can be used to output the time-intensity curve of a given pixel.The program supports slice-wise spacial pre-filtering by giving additional filters as free parameters (filter/2dimage).

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-o, --out-file=(output, required); io

  output image name. For supported file types see Plugin type: 2dimage/io

-k, --skip=0; ulong

  Skip files at the beginning

-e, --enlarge-boundary=5; ulong

  Enlarge cropbox by number of pixels

-c, --crop

  crop image before running statistics

-g, --gauss=1; ulong

  gauss filter width for moothing the gradient

--itc-file=STRING

  intensity time curve output file

--itc-loc=[0,0]; 2dbounds

  intensity time curve output pixel coordinates

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the median of the 2nd order derivative of the series given in segmentation set segment.set after filtering with a Gaussian of width 3. In addition write the time intensity curve of pixel <128,64> to curve.txt.

    mia-2dseries2dordermedian -i segment.set -o gradmedian.exr -g 1 --itc-file curve.txt --itc-loc "<128,64>"

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dseries-segdistance | Home | mia-2dseries2sets